Package ch.qos.logback.access.spi

## Interface IAccessEvent

All Superinterfaces:
  `DeferredProcessingAware`

All Known Implementing Classes:
  `AccessEvent`

    public interface IAccessEvent
    extends DeferredProcessingAware

The Access module's internal representation of logging events. When the logging component instance is called in the container to log then a `AccessEvent` instance is created. This instance is passed around to the different logback components.

Author:
  Ceki Gülcü, Sébastien Pennec, Jörn Huxhorn

### Field Summary

Fields
`static java.lang.String` `NA`
`static int` `SENTINEL`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAttribute​(java.lang.String key)`
`long` `getContentLength()`
`java.lang.String` `getCookie​(java.lang.String key)`
`long` `getElapsedSeconds()` The number of seconds elapsed between receiving the request and logging it.
`long` `getElapsedTime()` The time elapsed between receiving the request and logging it in milliseconds.
`int` `getLocalPort()`
`java.lang.String` `getMethod()`
`java.lang.String` `getProtocol()`
`java.lang.String` `getQueryString()`
`java.lang.String` `getRemoteAddr()`
`java.lang.String` `getRemoteHost()`
`java.lang.String` `getRemoteUser()`
`javax.servlet.http.HttpServletRequest` `getRequest()` Returns the underlying HttpServletRequest.
`java.lang.String` `getRequestContent()`
`java.lang.String` `getRequestHeader​(java.lang.String key)`
`java.util.Map<java.lang.String,​java.lang.String>` `getRequestHeaderMap()`
`java.util.Enumeration<java.lang.String>` `getRequestHeaderNames()`
`java.lang.String[]` `getRequestParameter​(java.lang.String key)`
`java.util.Map<java.lang.String,​java.lang.String[]>` `getRequestParameterMap()`
`java.lang.String` `getRequestURI()`
`java.lang.String` `getRequestURL()` The first line of the request.
`javax.servlet.http.HttpServletResponse` `getResponse()` Returns the underlying HttpServletResponse.
`java.lang.String` `getResponseContent()`
`java.lang.String` `getResponseHeader​(java.lang.String key)`
`java.util.Map<java.lang.String,​java.lang.String>` `getResponseHeaderMap()`
`java.util.List<java.lang.String>` `getResponseHeaderNameList()`
`ServerAdapter` `getServerAdapter()`
`java.lang.String` `getServerName()`
`java.lang.String` `getSessionID()`
`int` `getStatusCode()`
`java.lang.String` `getThreadName()`
`long` `getTimeStamp()` The number of milliseconds elapsed from 1/1/1970 until logging event was created.
`void` `setThreadName​(java.lang.String threadName)`

### Methods inherited from interface ch.qos.logback.core.spi.DeferredProcessingAware

`prepareForDeferredProcessing`

### Field Detail

#### NA

    static final java.lang.String NA

See Also:
  Constant Field Values

#### SENTINEL

    static final int SENTINEL

See Also:
  Constant Field Values

### Method Detail

#### getRequest

    javax.servlet.http.HttpServletRequest getRequest()

Returns the underlying HttpServletRequest. After serialization the returned value will be null.

Returns:

#### getResponse

    javax.servlet.http.HttpServletResponse getResponse()

Returns the underlying HttpServletResponse. After serialization the returned value will be null.

Returns:

#### getTimeStamp

    long getTimeStamp()

The number of milliseconds elapsed from 1/1/1970 until logging event was created.

#### getElapsedTime

    long getElapsedTime()

The time elapsed between receiving the request and logging it in milliseconds.

#### getElapsedSeconds

    long getElapsedSeconds()

The number of seconds elapsed between receiving the request and logging it.

#### getRequestURI

    java.lang.String getRequestURI()

#### getRequestURL

    java.lang.String getRequestURL()

The first line of the request.

#### getRemoteHost

    java.lang.String getRemoteHost()

#### getRemoteUser

    java.lang.String getRemoteUser()

#### getProtocol

    java.lang.String getProtocol()

#### getMethod

    java.lang.String getMethod()

#### getServerName

    java.lang.String getServerName()

#### getSessionID

    java.lang.String getSessionID()

#### setThreadName

    void setThreadName​(java.lang.String threadName)

#### getThreadName

    java.lang.String getThreadName()

#### getQueryString

    java.lang.String getQueryString()

#### getRemoteAddr

    java.lang.String getRemoteAddr()

#### getRequestHeader

    java.lang.String getRequestHeader​(java.lang.String key)

#### getRequestHeaderNames

    java.util.Enumeration<java.lang.String> getRequestHeaderNames()

#### getRequestHeaderMap

    java.util.Map<java.lang.String,​java.lang.String> getRequestHeaderMap()

#### getRequestParameterMap

    java.util.Map<java.lang.String,​java.lang.String[]> getRequestParameterMap()

#### getAttribute

    java.lang.String getAttribute​(java.lang.String key)

#### getRequestParameter

    java.lang.String[] getRequestParameter​(java.lang.String key)

#### getCookie

    java.lang.String getCookie​(java.lang.String key)

#### getContentLength

    long getContentLength()

#### getStatusCode

    int getStatusCode()

#### getRequestContent

    java.lang.String getRequestContent()

#### getResponseContent

    java.lang.String getResponseContent()

#### getLocalPort

    int getLocalPort()

#### getServerAdapter

    ServerAdapter getServerAdapter()

#### getResponseHeader

    java.lang.String getResponseHeader​(java.lang.String key)

#### getResponseHeaderMap

    java.util.Map<java.lang.String,​java.lang.String> getResponseHeaderMap()

#### getResponseHeaderNameList

    java.util.List<java.lang.String> getResponseHeaderNameList()